Skip to main content
Container Management/Container Management APIs
GETContainer Management APIsSince 5.3.6SynchronousAuth Required

QueryNativeCluster

QueryNativeCluster

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Query Parameters

Request Inputs

Query Parameters

  • qString

    Query conditions.

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    Whether the query API call succeeded.

  • errorErrorCodeRequired

    Error code. If this field is not null, the operation failed. If the operation succeeded, this field is null. For details, see error

    • codeStringRequired

      Error code. This field is the global unique identifier of the error, for example, SYS.1000 or HOST.1001.

    • descriptionStringRequired

      Brief description of the error.

    • detailsStringRequired

      Details of the error.

    • elaborationStringRequired

      Reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      Reserved field. Default value: null.

    • causeErrorCodeRequired

      Root error. This field indicates the source error that caused the current error. If no source error exists, this field is null.

  • inventoriesListRequired

    For details, see inventories

    • bizUrlStringRequired

      Business URL.

    • masterUrlStringRequired

      Master URL.

    • kubeConfigStringRequired

      Kube configuration.

    • prometheusURLStringRequired

      Prometheus URL.

    • versionStringRequired

      Version.

    • nodeCountIntegerRequired

      Number of nodes.

    • createTypeStringRequired

      Creation type.

    • nameStringRequired

      Resource name.

    • uuidStringRequired

      Resource UUID. This field uniquely identifies the resource.

    • descriptionStringRequired

      Detailed description of the resource.

    • stateStringRequired

      State.

    • hypervisorTypeStringRequired

      Hypervisor type.

    • createDateTimestampRequired

      Creation time.

    • lastOpDateTimestampRequired

      Last modification time.

    • zoneUuidStringRequired

      Zone UUID.

    • typeStringRequired

      Type.

    • architectureStringRequired

      Architecture.

Endpoint

GET/zstack/v1/container/native/cluster

/zstack/v1/container/native/cluster

Operation ID

QueryNativeCluster

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/container/native/cluster?q=<q>' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "bizUrl": "http://example.com/biz", "masterUrl": "http://example.com/master", "kubeConfig": "kubeConfigContent", "prometheusURL": "http://example.com/prometheus", "version": "v1.0.0", "nodeCount": 3, "createType": "Manual" } ] }

Change History

This API has no change history records yet.

View all change history